Latest News

Website News and Announcements


DiscussionStarted byRepliesLast post
PinnedWelcome back! 0 Ryan Smith
Mon, Aug 1, 2016, 9:46 AM
PRISM Now Supports All Indiana K-12 Teachers 0 Ryan Smith
Fri, Aug 24, 2018, 4:11 PM
Welcome back! 0 Ryan Smith
Mon, Aug 13, 2018, 8:20 AM
PRISM Upgrades to Moodle 3.5 0 Ryan Smith
Mon, Jul 2, 2018, 10:44 AM
PRISM Upgrades to Moodle 3.4 0 Ryan Smith
Thu, Jan 18, 2018, 10:12 AM
Welcome back! 0 Ryan Smith
Wed, Aug 9, 2017, 4:37 PM
Lilly Endowment Provides Grant to Support Rose-Hulman's PRISM Program 0 Ryan Smith
Thu, Jun 29, 2017, 10:19 AM
PRISM Upgrades to Moodle 3.3 0 Ryan Smith
Mon, Jun 5, 2017, 3:02 PM
PRISM Upgrades to Moodle 3.2 0 Ryan Smith
Wed, Dec 28, 2016, 3:56 PM
PRISM Upgrades to Moodle 3.1 0 Ryan Smith
Sun, Jun 5, 2016, 5:38 PM
Attendance Activity Module and Canvas Support Now Available 0 Ryan Smith
Fri, Feb 26, 2016, 8:21 AM
Quality Online Resources for Math & Science Teachers / Students 0 Bob Jackson
Fri, Jan 15, 2016, 8:41 AM
Smartphone Apps for Math & Science Students 0 Bob Jackson
Fri, Jan 15, 2016, 8:47 AM
PRISM Upgrades to Moodle 3.0 0 Ryan Smith
Sat, Nov 28, 2015, 1:09 PM
Lilly Endowment Teacher Creativity Fellowship Program for 2016 0 Ryan Smith
Thu, Sep 24, 2015, 1:53 PM
Welcome back! 0 Ryan Smith
Sun, Aug 2, 2015, 10:53 AM
PRISM Upgrades to Moodle 2.9 0 Ryan Smith
Fri, Jun 5, 2015, 11:18 AM
Duke Energy Sustainable Energy Experience 0 Ryan Smith
Wed, Jun 3, 2015, 5:06 PM
PRISM Upgrades to Moodle 2.8 0 Ryan Smith
Sun, Nov 16, 2014, 12:39 AM
Lilly Endowment Teacher Creativity Fellowship Program for 2015 0 Ryan Smith
Tue, Oct 14, 2014, 10:42 AM
Welcome back! 0 Ryan Smith
Tue, Aug 5, 2014, 9:03 AM
PRISM Upgrades to Moodle 2.7 0 Ryan Smith
Sat, Jun 7, 2014, 11:05 PM
PRISM Upgrades to Moodle 2.6 0 Ryan Smith
Sun, Nov 24, 2013, 12:25 AM
Lilly Endowment Teacher Creativity Fellowship Program for 2014 0 Ryan Smith
Fri, Aug 16, 2013, 10:33 AM
Lilly Endowment Provides $950,000 Grant to Support Rose-Hulman's PRISM Program 0 Ryan Smith
Tue, Jun 18, 2013, 10:32 AM
PRISM Upgrades to Moodle 2.5 0 Ryan Smith
Fri, May 31, 2013, 10:05 AM
Rose-Hulman Employment Opportunity 0 Ryan Smith
Thu, May 30, 2013, 3:53 PM
Personnel Change 0 Ryan Smith
Tue, May 28, 2013, 8:31 AM
PRISM Upgrades to Moodle 2.4 0 Ryan Smith
Sun, Dec 23, 2012, 10:42 AM
Lilly Endowment Teacher Creativity Fellowship Program for 2013 0 Ryan Smith
Wed, Aug 22, 2012, 9:59 AM
PRISM Upgrades to Moodle 2.3.1 0 Ryan Smith
Wed, Jul 11, 2012, 8:44 AM
Rose-Hulman Summer Workshop on June 4-5 for High School AP Physics Teachers 0 Ryan Smith
Tue, Apr 17, 2012, 9:40 AM
2012 PRISM User Survey 0 Ryan Smith
Wed, Apr 11, 2012, 11:45 AM
PRISM Surpasses 200 Million Hits! 0 Ryan Smith
Fri, Mar 2, 2012, 9:44 AM
PRISM Upgrades to Moodle 2.2 0 Ryan Smith
Sun, Dec 25, 2011, 10:32 PM
Lilly Endowment Teacher Creativity Fellowship Program for 2012 0 Ryan Smith
Thu, Aug 25, 2011, 2:01 PM
PRISM Upgrades to Moodle 2.1 0 Ryan Smith
Thu, Jul 21, 2011, 8:34 AM
PRISM Upgrades to Moodle 2.0.3 0 Ryan Smith
Fri, Jun 10, 2011, 4:16 PM
PRISM Wins 2011 Rose-Hulman Award for Excellence 0 Ryan Smith
Fri, Jun 3, 2011, 2:01 PM
Monthly Newsletters 0 Ryan Smith
Fri, Mar 25, 2011, 11:14 AM
PBL Academy for Indiana Website Launched 0 Ryan Smith
Mon, Jan 24, 2011, 10:52 AM
New Educational Liaison 0 Ryan Smith
Thu, Jan 13, 2011, 3:46 PM
PRISM is now on Facebook 0 Ryan Smith
Mon, Feb 8, 2010, 12:17 PM
Lilly Endowment Teacher Creativity Fellowship Program for 2011 0 Ryan Smith
Thu, Aug 26, 2010, 10:23 AM
K-12 IEEE Mailing List 0 Ryan Smith
Fri, May 28, 2010, 11:43 AM
PRISM Surpasses 100 Million Hits! 0 Ryan Smith
Tue, Mar 23, 2010, 10:11 AM
New Online Professional Development Opportunity 0 Matthew Davidson
Wed, Mar 3, 2010, 11:36 AM
2010 Mr & Miss Indiana Math and Science 0 Ryan Smith
Thu, Feb 25, 2010, 10:02 PM
Free Minerals Education Workshop @ Rose-Hulman, Nov. 5 - 6 0 Ryan Smith
Tue, Aug 25, 2009, 9:51 AM
Rose-Hulman ROSE-BUD Program 0 Ryan Smith
Tue, Aug 25, 2009, 9:45 AM
Important Reminder 0 Ryan Smith
Tue, Jul 7, 2009, 3:32 PM
PRISM Parent Workshop: May 7 0 Ryan Smith
Wed, Apr 15, 2009, 11:33 AM
Indiana University Summer Science Camp: July 12 -24 0 Ryan Smith
Wed, Apr 15, 2009, 11:05 AM
Adding Digital Resources 0 Ryan Smith
Wed, Mar 4, 2009, 10:00 AM
Spring Distance Education Course Registration Now Closed 0 Ryan Smith
Wed, Feb 18, 2009, 9:54 AM
Survey Winner 0 Ryan Smith
Wed, Feb 11, 2009, 2:46 PM
Engineering Curriculum Contest - Engineering Education Service Center 0 Ryan Smith
Mon, Mar 9, 2009, 2:13 PM
PRISM Member User Survey - Now Closed 0 Patricia Carlson
Mon, Dec 1, 2008, 11:13 AM
Attention Workshop Coordinators 0 Patricia Carlson
Wed, Dec 17, 2008, 3:51 PM
Moodle Distance Education course registration is now closed. New courses coming in 2009! 0 Ryan Smith
Thu, Jun 12, 2008, 9:04 AM
A Note on PRISM's Policies 0 Ryan Smith
Fri, Nov 7, 2008, 4:33 PM
New User Community Liaison 0 Ryan Smith
Mon, Oct 20, 2008, 8:51 AM
Minerals Education Workshop @ Rose-Hulman, Sept. 25-26 0 Ryan Smith
Wed, Sep 17, 2008, 11:19 AM
Lilly Endowment Provides $950,000 Grant to Support Rose-Hulman's PRISM Web Portal 0 Ryan Smith
Tue, Jul 29, 2008, 8:34 AM
INSPIRE Summer Academy July 27 – August 1, 2008 0 Matthew Davidson
Mon, Apr 21, 2008, 1:10 PM
ASEE K-12 Program at Rose-Hulman Institute of Technology 0 Ryan Smith
Fri, Mar 21, 2008, 9:53 AM
PRISM Upgrades to Moodle 1.9! 0 Ryan Smith
Wed, Mar 12, 2008, 9:47 AM
Record-Setting Traffic for January 2008 0 Ryan Smith
Mon, Feb 18, 2008, 3:16 PM
Personnel Change 0 Ryan Smith
Mon, Feb 25, 2008, 11:26 AM
Algebra I and Algebra II Resources Now Available! 0 Ryan Smith
Mon, Dec 17, 2007, 9:38 AM
New Sections & Improvements 0 Ryan Smith
Wed, Sep 12, 2007, 12:45 PM
Welcome Back - New Moodle Policy 0 Patricia Carlson
Wed, Aug 15, 2007, 2:39 PM
iPod Giveaway Winner 0 Ryan Smith
Mon, Jul 16, 2007, 8:43 AM
PRISM Upgrades to Moodle 1.8 0 Ryan Smith
Fri, Apr 13, 2007, 8:57 AM
Member Survey and iPod Giveaway 0 Ryan Smith
Fri, May 25, 2007, 5:32 PM
PRISM Website Downtime 0 Ryan Smith
Thu, Apr 12, 2007, 10:32 AM
PRISM Upgrades to Moodle 1.7.1 0 Ryan Smith
Sun, Mar 4, 2007, 4:27 PM
T.H.E. Journal Honors PRISM as a 2006 Innovator 0 Ryan Smith
Tue, Dec 12, 2006, 10:30 AM